# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(HTML/HTML5/Parser.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Moose.pm) perl(MooseX/Types.pm) perl(MooseX/Types/Moose.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(Test/More.pm) perl(URI.pm) perl(XML/LibXML.pm) perl(XML/LibXML/LazyBuilder.pm) perl(XML/LibXSLT.pm) perl(YAML/Tiny.pm) perl(inc/Module/Install.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define module_version 0.06
%define module_name HTML-Detergent
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: Clean the gunk off an HTML document
Group: Development/Perl
License: apache
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DO/DORIAN/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
the HTML::Detergent manpage is for isolating the main content of an HTML page,
stripping it of navigation, visual design, and other ancillary content.

The main purpose of this module is to aid in the migration of web
content from one content management system to another. It is also
useful for preparing HTML resources for automated content inventories.

The module currently has no heuristics for determining the main
content of a page. It works instead by assuming prior knowledge of the
layout, given in the configuration by an XPath expression that
uniquely isolates the container node. That node is then lifted into a
new document, along with the contents of the `<head>', and
returned by the the process entry elsewhere in this document method. To accommodate multiple layouts on
a site, the module can be initialized to match multiple XPath
expressions. If further processing is necessary, an expression can be
associated with an XSLT stylesheet, which is assumed to produce an
entire document, thus overriding the default behaviour.

After the new document is generated and before it is returned by
the process entry elsewhere in this document, it is possible to inject `<link>' and
`<meta>' elements into the `<head>'. This enables
the inclusion of metadata and the re-association of the main content
with links that represent aspects of the page which have been removed
(e.g. navigation, copyright statement, etc.). In addition, if the
page's URI is supplied to the the process entry elsewhere in this document method, the
`<base>' element is either added or rewritten to reflect it,
and the URI attributes in the body are rewritten relative to the base.
Otherwise they are left alone.

The document returned is an the XML::LibXML::Document manpage object using the
XHTML namespace, `http://www.w3.org/1999/xhtml', but does not profess
to validate against any particular schema. If DTD declarations
(including the empty `<!DOCTYPE html>' recommended in HTML5)
are desired, they can be added on afterward. Likewise, the object can
be converted from XML into HTML using the toStringHTML entry in the XML::LibXML::Document manpage.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/H*

%changelog
* Tue Oct 15 2013 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- initial import by package builder

